---
title: "Delete Webhooks Registration"
url: "https://developer.pexa.co.uk/apis/notifications-v1-v1/versions/72a6ef34-73d4-4940-b586-d4154e57aaea/operations/deleteNotificationRegistration"
---

> Full API specification: https://developer.pexa.co.uk/apis/notifications-v1-v1/versions/72a6ef34-73d4-4940-b586-d4154e57aaea.md

# Delete Webhooks Registration

`DELETE` `/partner/api/notification/v1/notification-registrations/{registrationId}`

Operation ID: `deleteNotificationRegistration`

This API is used to delete the registration details for Webhook notifications

## Path parameters

- `registrationId` (string, required) - UUID of the registration

## Responses

- `204` - The resource has been deleted
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden
- `500` - Internal Server Error

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Notification Service - V1 APIs
  version: v1
servers:
  - url: https://api.pexa.co.uk
    description: API Gateway URL
paths:
  /partner/api/notification/v1/notification-registrations/{registrationId}:
    delete:
      tags:
        - WebhooksRegistration
      summary: Delete Webhooks Registration
      description: This API is used to delete the registration details for Webhook
        notifications
      operationId: deleteNotificationRegistration
      security:
        - oauth2:
            - delete:notification_registrations
          tags:
            - Delete a registration for a subscriber
      parameters:
        - in: path
          name: registrationId
          schema:
            type: string
          required: true
          description: UUID of the registration
      responses:
        "204":
          description: The resource has been deleted
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
        "400":
          description: Bad Request
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
          content:
            application/json:
              schema:
                type: object
                description: Response object of the service
                properties:
                  errors:
                    default: []
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          description: |
                            The error code.
                          type: string
                          example: GA.NOTIF.400000
                        message:
                          description: |
                            The error message.
                          type: string
                          example: "Invalid UUID string: not-a-valid-id"
                        field:
                          description: |
                            The field in the request that caused the error.
              example:
                errors:
                  - code: GA.NOTIF.400000
                    message: "Invalid UUID string: 123"
                    field: null
        "401":
          description: Unauthorized
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
          content:
            application/json:
              schema:
                type: object
                description: Response object of the service
                properties:
                  errors:
                    default: []
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          description: |
                            The error code.
                          type: string
                          example: GA.NOTIF.401004
                        message:
                          description: |
                            The error message.
                          type: string
                          example: Unauthorized
                        field:
                          description: |
                            The field in the request that caused the error.
              example:
                errors:
                  - code: GA.NOTIF.401004
                    message: Unauthorized
                    field: null
        "403":
          description: Forbidden
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
          content:
            application/json:
              schema:
                type: object
                description: Response object of the service
                properties:
                  errors:
                    default: []
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          description: |
                            The error code.
                          type: string
                          example: GA.NOTIF.403003
                        message:
                          description: |
                            The error message.
                          type: string
                          example: Access Denied
                        field:
                          description: |
                            The field in the request that caused the error.
              example:
                errors:
                  - code: GA.NOTIF.403003
                    message: Forbidden
        "500":
          description: Internal Server Error
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
          content:
            application/json:
              schema:
                type: object
                description: Response object of the service
                properties:
                  errors:
                    default: []
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          description: |
                            The error code.
                          type: string
                        message:
                          description: |
                            The error message.
                        field:
                          description: |
                            The field in the request that caused the error.
              example:
                errors:
                  - message: Internal Server Error
security:
  - oauth2:
      - delete:notification_registrations
    tags:
      - Delete a registration for a subscriber
components:
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://login.pexauk.co.uk/oauth/token
          scopes:
            create:notification_registrations: Create notification registrations
            edit:notification_registrations: Edit notification registrations
            delete:notification_registrations: Delete notification registrations
            create:notification_registrations_secret_rotation: Create notification registrations secret rotation
            view:notifications: View notifications
            create:notification_retry: Retry a notification
            create:webhook_domains: Whitelist a webhook domain
```
